
Redmine - Feature #941

BugZilla interop support

2008-03-27 20:25 - Brian Lopez

Status: Closed Start date: 2008-03-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

BugZilla supports an XML-RPC api. For those of us who can't immediately migrate away from BZ, but want to get started using

Redmine. Some sort of interop Rails/Redmine plugin would be AMAZING.

Maybe it could/would require direct field mapping (and thus some custom fields be added to the "Issues" area in said Redmine

instance) and do a sync via a rake task (which could then be scripted via cron), manual sync via the Redmine web admin interface or

upon certain events being fired. Like when a new issue is created in Redmine, allow for mapping to an existing BugZilla bug or

creation of a new BugZilla bug. I know I'm probably dreaming here towards the end, but this would really help users who currently

heavily rely on BugZilla right?

History

#1 - 2008-03-28 05:04 - Brian Lopez

I found this plugin (although it seems to be stale) http://rubzilla.rubyforge.org/svn/bugzilla/trunk/ which provides an ActiveRecord-like interface to

BugZilla via it's XML-RPC api.

#2 - 2008-06-14 17:23 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

I won't implement this kind of integration with BugZilla.

But you can enter your requirement for a Redmine API here: #286.
